Subject: Re: PPC 44x Watchdog timer

From: Takeharu KATO <[email-masked]>
Date: Thu, 05 May 2005 11:07:26 +0900

Hi

Glenn Burkhardt wrote:

> watchdog exception interrupt isn't used, and it's only configurable for 
> PPC405 (although I think that the technique would work for the whole 4xx 
> family).
> 
> Or am I misreading the code?
> 
No, the kernel which I mentioned before is MontaVistaLinux.
IIRC, I look the WDT relevant codes in MontaVistaLinux2.X few years ago.
Of course, It was prepared for PowerPC40X...

> It would also be nice if your patch were applied to the 2.6 kernel tree.
> 
Sorry, It's not my jurisdiction.
Matt(Porter) or Kumar(Gala) may be responsible for this work.
#Finally, the patch should be approved by akpm and linus, of course...

Matt or Kumar, would you merge BOOKE_WDT patch to 2.6 kernel tree?
IIRC, This patch has been left under review state about two month.
Is there something to be needed for the patch?